%define fontname kacst
%define fontdir %{_datadir}/fonts/%{fontname}

Name: %{fontname}-fonts
Version: 2.0
Release: 1%{?dist}
License: GPLv2
Source: http://downloads.sourceforge.net/sourceforge/arabeyes/%{fontname}_fonts_%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: dos2unix
Group: User Interface/X
#Provides can be dropped in F11
Provides: fonts-arabic = 2.1-2
Obsoletes: fonts-arabic <= 2.1-2
Summary: Fonts for arabic from arabeyes project 
URL: http://www.arabeyes.org/resources.php
 
%description
This package contains fonts for the display of Arabic 
from the King Abdulaziz City for Science & Technology(kacst).

%prep
%setup -q -n KacstArabicFonts-%{version}
find . -not -name \*.ttf -type f -exec dos2unix -k {} \;

%build
echo "Nothing to do in Build."

%install
rm -rf %{buildroot} 

install -m 0755 -d %{buildroot}%{fontdir}
install -m 0644 -p *.ttf %{buildroot}%{fontdir}

%clean
rm -rf %{buildroot}

%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{fontdir} 
fi

%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{fontdir}
  fi
fi

%files
%defattr(-,root,root,-)
%doc Copyright LICENSE README
%dir %{fontdir}
%{fontdir}/*.ttf

%changelog
* Fri Sep 05 2008 Rahul Bhalerao <rbhalera@redhat.com> - 2.0-1.fc10
- Updated to new upstream version

* Wed Jul 23 2008 Rahul Bhalerao <rbhalera@redhat.com> - 1.6.2-4.fc10
- Dropping previous release

* Wed Jul 23 2008 Rahul Bhalerao <rbhalera@redhat.com> - 1.6.2-3.fc10
- Obsoleted dead package fonts-arabic

* Mon Oct 15 2007 Rahul Bhalerao <rbhalera@redhat.com> - 1.6.2-2.fc8
- Used dos2unix

* Thu Oct 12 2007 Rahul Bhalerao <rbhalera@redhat.com> - 1.6.2-1.fc8
- Initial Packaging
